from flask_jwt_extended import get_jwt_identity, jwt_required
from flask_socketio import emit, join_room

from infra.server import socketio
from repos.reservation_repo import ReservationRepository

@socketio.on('connect')
#@jwt_required()
def handle_connect():
    #current_user = get_jwt_identity()
    #print(f'Client connected: {current_user}')
    emit('status', {'message': 'Connected'})

@socketio.on('disconnect')
def handle_disconnect():
    print('Client disconnected')

@socketio.on('subscribe_reservations')
def handle_subscribe(data):
    date = data.get('date')
    join_room(date)  # Используем дату как комнату
    # Получаем все резервации для указанной даты
    reservations = ReservationRepository.list_all({'date': date})
    emit('reservations_update', reservations)

def notify_clients(date):
    # Отправляем всем подписчикам этой даты
    reservations = ReservationRepository.list_all({'date': date})
    socketio.emit('reservations_update', reservations, room=date)